Subject: Re: bug#12028: Lock file name

From: Glenn Morris <[email-masked]>
Date: Sun, 29 Jul 2012 19:17:06 -0400

Suvayu Ali wrote:

> I am using GNU Emacs 24.1.50.1 (built 2012-07-21). I see the file naming
> scheme for lock files is `.#<old name>'. I seemed to recall there was
> trailing hash like this `.#<old name>#'. But on the Emacs help list I
> was told there was no trailing hash in the past. So my request is, can a
> trailing hash be added?
>
> My issue in particular is, the lock file gets picked by a glob like
> `*.cxx'; with a trailing hash, this would only match source files. This
> can be a problem with tools that only support very basic globbing.

I don't think Emacs needs to change the (very long-standing) name of
lockfiles for the sake of inflexible tools that cannot exclude dotfiles
(note that normal shell globbing does not match dotfiles at all). Emacs
24.2 will have an option `create-lockfiles' that you can set to nil to
disable the generation of lockfiles altogether, hopefully that works for
you.